#==========================================================
# imports
#==========================================================
from org.jpox.shell import ShellCommands
from java.lang import System as JavaSystem
#==========================================================
# functions
#==========================================================

#
# Exit
#
def exit() :
    JavaSystem.exit(0)
# end

#
# Display help
# @param name the function name
#
def help(name) :
    ShellCommands().help(name)
# end

#
# Display help
#
def help() :
    ShellCommands().help()
# end

#
#Sets the classpath
# @param files list of files
# @throws Exception
#
def classPath(files) :
    ShellCommands().classPath(files)
# end

#
# Load configuration
# @param file the properties file
#
def loadConfiguration(file) :
    ShellCommands().loadConfiguration(file)
# end

#
# run a sql
# @param sql
# @return the result
#
def sql(sql) :
    result = ShellCommands().sql(sql)
    for r in result:
        if isarray(r) :
            for elm in r:
                JavaSystem.out.print(elm)
                JavaSystem.out.print('\t')
        else :
            print r
        JavaSystem.out.println('')
    return result        
# end

#
# Check if the argument is an array
# @param a
#
def isarray(a):
    try:
        a[0]
    except Exception,e:
        return 0
    return 1
# end
    